
pad=100;
wavenumber=15;
nw=6;

for i = 1:recon_keep
  [fs(:,i), sc, sa, ea, signale(:,i), ee(i), so, eo] = ...
  harmanal(coeffs(:,i), nw, wavenumber, pad, 1, 'stat', 'nround', 'nall');
end;


clear sc sa ea ee so eo i fqp idxp pad